Configuration:
  name: Default

  Properties:
    property:
      name: log-path
      value: logs

  Appenders:

    Console:
      name: Console_Appender
      target: SYSTEM_OUT
      PatternLayout:
        pattern: "[%-5level] %d{yyyy-MM-dd HH:mm:ss.SSS} [%t] %c{1} - %msg%n"

    RollingRandomAccessFile:
      - name: Info_File_Appender
        fileName: ${log-path}/info.log
        filePattern: ${log-path}/info-%i.log.gz
        PatternLayout:
          pattern: "%msg%n"
        Policies:
          SizeBasedTriggeringPolicy:
            size: "100 MB"
        Filters:
          ThresholdFilter:
            level: INFO
            onMatch: ACCEPT
            onMismatch: DENY
      - name: Error_File_Appender
        fileName: ${log-path}/error.log
        filePattern: ${log-path}/error-%i.log.gz
        PatternLayout:
          pattern: "%msg%n"
        Policies:
          SizeBasedTriggeringPolicy:
            size: "100 MB"
        Filters:
          ThresholdFilter:
            level: ERROR
            onMatch: ACCEPT
            onMismatch: DENY

  Loggers:

    Root:
      level: DEBUG
      AppenderRef:
        - ref: Console_Appender

    Logger:
      - name: com.saviynt
        level: DEBUG
        #additivity: false
        AppenderRef:
          - ref: Info_File_Appender
          - ref: Error_File_Appender